MonoMac 0.0.0.0 MonoMac.AppKit.NSControl MonoMac.Foundation.Register("NSMatrix", true) To be added. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor, initializes a new instance of this class.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithFrame:")
  Frame used by the view, expressed in iOS points.
  Initializes the NSMatrix with the specified frame.

  This constructor is used to programatically create a new instance of NSMatrix with the specified dimension in the frame. The object will only be displayed once it has been added to a view hierarchy by calling AddSubview in a containing view.

  This constructor is not invoked when deserializing objects from storyboards or XIB filesinstead the constructor that takes an NSCoder parameter is invoked.

- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithFrame:mode:prototype:numberOfRows:numberOfColumns:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithFrame:mode:cellClass:numberOfRows:numberOfColumns:")
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
  To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("acceptsFirstMouse:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addColumn")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addColumnWithCells:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addRow")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("addRowWithCells:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("allowsEmptySelection")
  set: MonoMac.Foundation.Export("setAllowsEmptySelection:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isAutoscroll")
  set: MonoMac.Foundation.Export("setAutoscroll:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("autosizesCells")
  set: MonoMac.Foundation.Export("setAutosizesCells:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("backgroundColor")
  set: MonoMac.Foundation.Export("setBackgroundColor:")
  MonoMac.AppKit.NSColor To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("cellBackgroundColor")
  set: MonoMac.Foundation.Export("setCellBackgroundColor:")
  MonoMac.AppKit.NSColor To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("cellClass")
  set: MonoMac.Foundation.Export("setCellClass:")
  MonoMac.ObjCRuntime.Class To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("cellFrameAtRow:column:")
  System.Drawing.RectangleF `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("cells")
  MonoMac.AppKit.NSCell[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("cellSize")
  set: MonoMac.Foundation.Export("setCellSize:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("cellWithTag:")
  MonoMac.AppKit.NSCell `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("textDidChange:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("numberOfColumns")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSMatrixDelegate An instance of the MonoMac.AppKit.NSMatrixDelegate model class which acts as the class delegate.

  The instance of the MonoMac.AppKit.NSMatrixDelegate model class

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  This is the strongly typed version of the object, use the WeakDelegate property instead if you want to merely assign a class derived from NSObject that has been decorated with [Export] attributes.

- Method
  0.0.0.0
  MonoMac.Foundation.Export("deselectAllCells")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("deselectSelectedCell")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("textDidBeginEditing:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("textDidEndEditing:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSControlTextError Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AppKit.NSControlTextErrorEventArgs> Event raised by the object. If you assign a value to this event, this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the NSMatrix object.

  This Dispose method releases the resources used by the NSMatrix class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the NSMatrix ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  MonoMac.AppKit.NSControlCommand Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("doubleAction")
  set: MonoMac.Foundation.Export("setDoubleAction:")
  MonoMac.ObjCRuntime.Selector To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("drawCellAtRow:column:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("drawsBackground")
  set: MonoMac.Foundation.Export("setDrawsBackground:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("drawsCellBackground")
  set: MonoMac.Foundation.Export("setDrawsCellBackground:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSControlTextCompletion Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("getRow:column:ofCell:")
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("getRow:column:forPoint:")
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("getNumberOfRows:columns:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("highlightCell:atRow:column:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertColumn:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertColumn:withCells:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertRow:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("insertRow:withCells:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("intercellSpacing")
  set: MonoMac.Foundation.Export("setIntercellSpacing:")
  System.Drawing.SizeF To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSControlTextValidation Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSCell `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("keyCell")
  set: MonoMac.Foundation.Export("setKeyCell:")
  MonoMac.Foundation.NSObject To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("makeCellAtRow:column:")
  MonoMac.AppKit.NSCell `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("mode")
  set: MonoMac.Foundation.Export("setMode:")
  MonoMac.AppKit.NSMatrixMode To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("mouseDown:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("mouseDownFlags")
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("performKeyEquivalent:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("prototype")
  set: MonoMac.Foundation.Export("setPrototype:")
  MonoMac.AppKit.NSCell To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("putCell:atRow:column:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeColumn:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("removeRow:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("renewRows:columns:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("resetCursorRects")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("numberOfRows")
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("scrollCellToVisibleAtRow:column:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectAll:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectCellAtRow:column:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectCellWithTag:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("selectedCell")
  MonoMac.AppKit.NSCell To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("selectedCells")
  MonoMac.AppKit.NSCell[] To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("selectedColumn")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("selectedRow")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isSelectionByRect")
  set: MonoMac.Foundation.Export("setSelectionByRect:")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectText:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("selectTextAtRow:column:")
  MonoMac.Foundation.NSObject `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sendAction")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sendAction:to:forAllCells:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sendDoubleAction")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setScrollable:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setSelectionFrom:to:anchor:highlight:")
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setState:atRow:column:")
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setToolTip:forCell:")
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setValidateSize:")
  System.Void `` To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("textShouldBeginEditing:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("textShouldEndEditing:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sizeToCells")
  System.Void To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sortUsingSelector:")
  System.Void `` To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("tabKeyTraversesCells")
  set: MonoMac.Foundation.Export("setTabKeyTraversesCells:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.AppKit.NSControlText Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Property
  0.0.0.0
  MonoMac.AppKit.NSControlText Delegate invoked by the object to get a value. To be added. You assign a function, delegate or anonymous method to this property to return a value to the object. If you assign a value to this property, it this will reset the value for the WeakDelegate property to an internal handler that maps delegates to events.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("toolTipForCell:")
  System.String `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("delegate", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  set: MonoMac.Foundation.Export("setDelegate:", MonoMac.ObjCRuntime.ArgumentSemantic.Assign)
  MonoMac.Foundation.NSObject An object that can respond to the delegate protocol for this type

  The instance that will respond to events and data requests.

  This value can be .

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  Methods must be decorated with the [Export ("selectorName")] attribute to respond to each method from the protocol. Alternatively use the Delegate method which is strongly typed and does not require the [Export] attributes on methods.